import { stringify } from 'qs';
import { request } from '@umijs/max';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/get?${stringify(params)}`);
}


export async function insertForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/deleteBatch`, {
        method: 'POST',
        data: params,
    });
}


export async function updateBatchForEbookArticlePhotos(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/ebookarticlephotos/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}
